%global momorel 3

Summary: Live syncing (mirroring) daemon
Name: lsyncd
Version: 1.26
Release: %{momorel}m%{?dist}
License: GPLv2+
Group: Applications/File
URL: http://code.google.com/p/lsyncd/
Source0: http://lsyncd.googlecode.com/files/%{name}-%{version}.tar.gz
NoSource: 0

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: rsync

%description
Lsyncd uses rsync to synchronize local directories with a remote machine
running rsyncd. Lsyncd watches multiple directories trees through inotify.

The first step after adding the watches is to, rsync all directories with
the remote host, and then sync single file buy collecting the inotify events.
So lsyncd is a light-weight live mirror solution that should be easy to
install and use while blending well with your system.

%prep
%setup -q

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR="%{buildroot}"

%{__mkdir_p} %{buildroot}%{_sysconfdir}
%{__install} -m 644 lsyncd.conf.xml %{buildroot}%{_sysconfdir}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%config %{_sysconfdir}/lsyncd.conf.xml
%{_bindir}/lsyncd
%{_mandir}/man?/*.*

%changelog
* Sat Jun 27 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.26-3m)
- change to new URL

* Mon Mar  9 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.26-2m)
- install lsyncd.conf.xml

* Mon Mar  9 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.26-1m)
- import from dag to Momonga
- update and Momonganize

* Thu Mar 27 2008 Dag Wieers <dag at wieers.com> - 1.0-1
- Initial package. (using DAR)
